package de.cliffbreak.varo.uitls;

import java.util.ArrayList;
import java.util.UUID;

import de.cliffbreak.varo.Varo;

public class BanUtils {

    private final Varo plugin;

    public BanUtils(final Varo plugin) {
        this.plugin = plugin;
    }

    public boolean isBanned(final UUID uuid) {
        return isBanned(uuid.toString().replace("-", ""));
    }

    public boolean isBanned(final String compressedUuid) {
        @SuppressWarnings("unchecked")
        final ArrayList<String> bans = (ArrayList<String>) this.plugin.getConfig().get("Varo.Bans");
        return bans.contains(compressedUuid);
    }

    public void addBann(final UUID uuid) {
        @SuppressWarnings("unchecked")
        final ArrayList<String> bans = (ArrayList<String>) this.plugin.getConfig().get("Varo.Bans");
        bans.add(uuid.toString().replace("-", ""));
        this.plugin.getConfig().set("Varo.Bans", bans);
        this.plugin.saveConfig();
    }

    public void removeBan(final String compressedUuid) {
        @SuppressWarnings("unchecked")
        final ArrayList<String> bans = (ArrayList<String>) this.plugin.getConfig().get("Varo.Bans");
        bans.remove(compressedUuid);
        this.plugin.getConfig().set("Varo.Bans", bans);
        this.plugin.saveConfig();
    }

}